<!DOCTYPE HTML>
<!--
	Massively by HTML5 UP
	html5up.net | @ajlkn
	Free for personal and commercial use under the CCA 3.0 license (html5up.net/license)
-->
<html>
	<head>
		<title>Image - Image Organization</title>
		<meta charset="utf-8" />
		<meta name="viewport" content="width=device-width, initial-scale=1, user-scalable=no" />
		<link rel="stylesheet" href="assets/css/main.css" />
		<script src="https://unpkg.com/ml5@0.1.3/dist/ml5.min.js"></script>
		<noscript><link rel="stylesheet" href="assets/css/noscript.css" /></noscript>
	</head>
	<body class="is-preload">

		<!-- Wrapper -->
			<div id="wrapper">

				<!-- Header -->
					<header id="header">
						<a href="index.html" class="logo">Ml5.js</a>
					</header>

				<!-- Nav -->
					<nav id="nav">
						<ul class="links">
							<li><a href="index.html">Introduction</a></li>
							<li class="active"><a href="image.html">Image</a></li>
							<li><a href="video.html">Video</a></li>
						</ul>
						<!-- <ul class="icons">
							<li><a href="#" class="icon fa-twitter"><span class="label">Twitter</span></a></li>
							<li><a href="#" class="icon fa-facebook"><span class="label">Facebook</span></a></li>
							<li><a href="#" class="icon fa-instagram"><span class="label">Instagram</span></a></li>
							<li><a href="#" class="icon fa-github"><span class="label">GitHub</span></a></li>
						</ul> -->
					</nav>

				<!-- Main -->
					<div id="main">

						<!-- Post -->
						<h2 style="text-align: center">Upload an image<br/> and we will predict what it is!</h2>
						<p>The MobileNet model labeled this as
						<span id="result">...</span> with a confidence of
						<span id="probability">...</span></p>
						<div style="width: 100%; display: flex; align-items: center;flex-direction: column">
						<div style="border: 1px dotted black; width: 400px; height: 400px;">
							<img style="position: absolute; object-fit: cover;" crossorigin="anonymous" id="image" width="400" height="400">
						  	<input onchange="getsrc()" style="opacity: 0;width: 100%;height: 100%" type="file" name="image" accept="image/*" id="img">
						
						</div>
						
						<div style="margin: 20px;">
							<label style="border: 2px solid black; padding: 10px;" for="img">Upload</label>
						  </div>
					  	</div>

					</div>

				
				<!-- Copyright -->
					<div id="copyright">
						<ul><li>&copy; 2019</li></ul>
					</div>

			</div>

		<!-- Scripts -->
			<script>

				let img;

				/* Alternate method */
				
				// function getsrc() {
				// 	img = document.getElementById('img')
				// 	if (img.files && img.files[0]) {
       			// 		var reader = new FileReader();

       	 		// 		reader.onload = function (e) {
				// 		document.getElementById('image').setAttribute('src', e.target.result);
        		// 	}

        		// 	reader.readAsDataURL(img.files[0]);
    			// }

				function getsrc() {
				  img = document.getElementById('img').files[0];
				  document.getElementById('image').setAttribute('src', URL.createObjectURL(img));
				  console.log(URL.createObjectURL(img));
				  
					// The image we want to classify
				const image = document.getElementById('image');
				// The result tag in the HTML
				const result = document.getElementById('result');
				// The probability tag in the HTML
				const probability = document.getElementById('probability');
		  
				// Initialize the Image Classifier method with MobileNet
				const classifier = ml5.imageClassifier('MobileNet', function() {
				  console.log('Model Loaded!');
				});
		  
				// Make a prediction with the selected image
				// This will return an array with a default of 10 options with their probabilities
				classifier.predict(image, function(err, results) {
				  result.innerText = results[0].className;
				  probability.innerText = results[0].probability.toFixed(4);
				});
				
				}
			</script>
			<script src="assets/js/jquery.min.js"></script>
			<script src="assets/js/jquery.scrollex.min.js"></script>
			<script src="assets/js/jquery.scrolly.min.js"></script>
			<script src="assets/js/browser.min.js"></script>
			<script src="assets/js/breakpoints.min.js"></script>
			<script src="assets/js/util.js"></script>
			<script src="assets/js/main.js"></script>

	</body>
</html>